// 以下の ifdef ブロックは DLL からのエクスポートを容易にするマクロを作成するための 
// 一般的な方法です。この DLL 内のすべてのファイルは、コマンド ラインで定義された OBJ3D_EXPORTS
// シンボルでコンパイルされます。このシンボルは、この DLL を使うプロジェクトで定義することはできません。
// ソースファイルがこのファイルを含んでいる他のプロジェクトは、 
// OBJ3D_API 関数を DLL からインポートされたと見なすのに対し、この DLL は、このマクロで定義された
// シンボルをエクスポートされたと見なします。


#ifdef OBJ3D_EXPORTS
#define OBJ3D_API __declspec(dllexport)
#else
#define OBJ3D_API __declspec(dllimport)
#endif


#include "tools++.h"
#include "GraphLib.h"


using namespace jbxl;


OBJ3D_API char* get_info(int n);
OBJ3D_API MSGraph<sWord>* obj3d_proc(MSGraph<sWord>* vp);
OBJ3D_API void  obj3d_free(MSGraph<sWord>* vp);
OBJ3D_API BOOL  obj3d_active(void);


